## Double Precision Vectors

## Usage

    double(length = 0)
    as.double(x)
    is.double(x)

## Value

`double` creates a double precision vector of the specified length. The elements of the vector are all equal to `0`.

`as.double` attempts to coerce its argument to be of double type.

`is.double` returns `TRUE` or `FALSE` depending on whether its argument is of double type or not.

## Note

R has no single precision data type. All real numbers are stored in double precision format.

## See Also

`integer`.

## Examples

    is.double(1)
    all(double(3) == 0)

[Package Contents]